
DEV3 - Feature # 527

Status: Accepted Priority: Should have
Author: Peter Kraume Category: TYPO3 4.x TypoScript Editor
Created: 2008-05-13 Assigned To: Sebastian Böttger
Updated: 2010-10-20 Due date:
Subject: Serveral ideas for connectivity
Description

    -  connector to database    * webservice to make the template available to eclipse    * integrate filesystem ??    * webdav
(meta_ftpd)    * maja_junction

Feature Requests from T3DD08

History
#1 - 2008-07-10 08:59 - Sebastian Böttger
- Status changed from New to Accepted
- % Done changed from 0 to 20

Integrating the filesystem can be done by the eclipse plugin TM (Target Management)

#2 - 2008-07-15 15:19 - David Bruehlmeier
- Category changed from TypoScript 2.0 Editor to TYPO3 4.x TypoScript Editor

#3 - 2008-10-30 21:03 - Michael Bakonyi

Maybe this could be helpful for you guys, I don't know: In JEdit (jedit.org) there is a plugin available for TYPO3, which enables the possiblity to directly
access the Typoscript-templates via the external editor. You need to install the extension "jeditvfs" in the TYPO3-installation which requires the
xmlrpc_lib-extension if I'm the right position. For JEdit you need the plugin "Typoscript". Sometimes it worked very well for me but often I couldn't
access the T3-installation due to a bug, I think. But as JEdit/ the plugin is written in Java, too, maybe you could check the extensions/ the plugin and/or
contact the author.

Anyways: great project! I'll spend some money I don't have. :-)

Michael
